Bug 92193 - (IEEE1394 SBP2)Cannot mount external firewire drive with kernel 2.4.20-18.9
(IEEE1394 SBP2)Cannot mount external firewire drive with kernel 2.4.20-18.9
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-03 14:57 EDT by Darren Brierton
Modified: 2007-04-18 12:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darren Brierton 2003-06-03 14:57:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.4) Gecko/20030530

Description of problem:
I just installed kernel-2.4.20-18.9 from up2date. On reboot, I now cannot mount
my Iomega FireWire External Drive, whereas, if I reboot into kernel-2.4.20-13.9
then I can.


Version-Release number of selected component (if applicable):
kernel-2.4.20-18.9

How reproducible:
Always

Steps to Reproduce:
1. Connect external firewire drive.
2. Boot into kernel 2.4.20.-18.9
3. Attempt to mount external firewire drive:

   mount -t auto /dev/sda1 /mnt/external
    

Actual Results:  mount: /dev/sda1 is not a valid block device

Expected Results:  In 2.4.20-13.9 mount -t auto /dev/sda1 /mnt/external mounts
the drive with no problems.

Additional info:

At a very rough guess, is it because some ieee1394 code is compiled into this
kernel, whereas it is loaded as a module in 2.4.20-13.9? My only reason for this
conjecture is that when I boot 2.4.20-18.9 I get the following messages in dmesg:

        ohci1394: $Rev: 693 $ Ben Collins <bcollins@debian.org>
        PCI: Found IRQ 11 for device 02:01.2
        PCI: Sharing IRQ 11 with 02:01.0
        PCI: Sharing IRQ 11 with 02:01.1
        ohci1394_0: OHCI-1394 1.0 (PCI): IRQ=[11]  MMIO=[f8fff000-f8fff7ff]  Max
Packet=[2048]
        ieee1394: SelfID completion called outside of bus reset!
        scsi0 : IEEE-1394 SBP-2 protocol driver (host: ohci1394)
        $Rev: 707 $ James Goodwin <jamesg@filanet.com>
        SBP-2 module load options:
        - Max speed supported: S400
        - Max sectors per I/O supported: 255
        - Max outstanding commands supported: 64
        - Max outstanding commands per lun supported: 1
        - Serialized I/O (debug): no
        - Exclusive login: yes
        Journalled Block Device driver loaded
        kjournald starting.  Commit interval 5 seconds
        EXT3-fs: mounted filesystem with ordered data mode.
        Freeing unused kernel memory: 132k freed
        ieee1394: Host added: Node[00:1023]  GUID[324fc00001363810]  [Linux
OHCI-1394]
        ieee1394: sbp2: Logged into SBP-2 device
        ieee1394: sbp2: Node[01:1023]: Max speed [S400] - Max payload [2048]
        ieee1394: Device added: Node[01:1023]  GUID[00d0b87500007594]  [Iomega  ]
        ieee1394: sbp2: Error reconnecting to SBP-2 device - reconnect failed
        ieee1394: sbp2: Logged out of SBP-2 device
        ieee1394: sbp2: Logged into SBP-2 device
        ieee1394: sbp2: Node[01:1023]: Max speed [S400] - Max payload [2048]

whereas when I boot 2.4.20-13.9 I am fairly sure that there are no ieee1394
messages in dmesg.
Comment 1 Darren Brierton 2003-06-04 08:52:54 EDT
Further details:

BOOTING WITH 2.4.20-13.9

Output of dmesg | grep 1394:

ohci1394: $Rev: 693 $ Ben Collins <bcollins@debian.org>
ohci1394_0: OHCI-1394 1.0 (PCI): IRQ=[11]  MMIO=[f8fff000-f8fff7ff]  Max
Packet=[2048]
ieee1394: SelfID completion called outside of bus reset!
ieee1394: Device added: Node[00:1023]  GUID[00d0b87500007594]  [Iomega  ]
ieee1394: Host added: Node[01:1023]  GUID[324fc00001363810]  [Linux OHCI-1394]
ieee1394: sbp2: Logged into SBP-2 device
ieee1394: sbp2: Node[00:1023]: Max speed [S400] - Max payload [2048]
scsi0 : IEEE-1394 SBP-2 protocol driver (host: ohci1394)

Result of mount -t auto /dev/sda1 /mnt/external:

Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
SCSI device sda: 241254720 512-byte hdwr sectors (123522 MB)


BOOTING WITH 2.4.20-18.9

Output of dmesg | grep 1394

ohci1394: $Rev: 693 $ Ben Collins <bcollins@debian.org>
ohci1394_0: OHCI-1394 1.0 (PCI): IRQ=[11]  MMIO=[f8fff000-f8fff7ff]  Max
Packet=[2048]
ieee1394: SelfID completion called outside of bus reset!
scsi0 : IEEE-1394 SBP-2 protocol driver (host: ohci1394)
ieee1394: sbp2: Logged into SBP-2 device
ieee1394: sbp2: Node[00:1023]: Max speed [S400] - Max payload [2048]
ieee1394: Device added: Node[00:1023]  GUID[00d0b87500007594]  [Iomega  ]
ieee1394: Host added: Node[01:1023]  GUID[324fc00001363810]  [Linux OHCI-1394]
ieee1394: sbp2: Error reconnecting to SBP-2 device - reconnect failed
ieee1394: sbp2: Logged out of SBP-2 device
ieee1394: sbp2: Logged into SBP-2 device
ieee1394: sbp2: Node[00:1023]: Max speed [S400] - Max payload [2048]

Result of mount -t auto /dev/sda1 /mnt/external

mount: /dev/sda1 is not a valid block device
Comment 2 Didier 2003-06-07 09:11:02 EDT
I'm experiencing OOPSes with 2.4.18-9 when scanning for IEEE1394 devices.
See bug #96972
Comment 3 Darren Brierton 2003-06-19 13:29:39 EDT
Is there any response from Red Hat on this bug? Do you intend to release a fix
for this problem? Or am I supposed to put up with no FireWire, or go back to
using 2.4.20-13.9 and forget about the security problems with it, or am I
supposed to patch and compile my own kernel?

Just *some* response to this would be nice - I haven't been able to do a backup
for over two weeks because of this.
Comment 4 Darren Brierton 2003-07-21 12:40:11 EDT
I'm still experiencing this problem in 2.4.20-19.9.
Comment 5 Didier 2003-07-25 07:27:34 EDT
As discussed in thread
http://lists.insecure.org/lists/linux-kernel/2003/Jul/1833.html ?
Comment 6 Darren Brierton 2003-09-01 09:58:17 EDT
Still experiencing this problem with the upgrade to kernel-2.4.20-20.9
Comment 7 Didier 2003-09-01 11:24:01 EDT
Did anyone try a Severn or 2.6.0-testX kernel yet ?
Comment 8 stuart boreen 2003-09-07 16:07:29 EDT
Fully patched rh 9 system on dual athlon Tyan 2462 mobo. Trying to use
Maxtor 5000xt through the Matrox rt 2500 video card with a firewire port. 
System sees drive and it works for a while but I get file corruption,
lockups where I can't unmount and system crashes where I have to do a hard
poweroff. Also my ps2 mouse goes crazy and I can't enter text in
mozilla-1.4 when I click on a text box!

Kernel stock from Red Hat 2.4.20-20.9smp
Module ieee1394.o says version 1??
Libraw1394 0.9.0
Modules loaded include sbp2, sg, sr_mod, ohci1394, ieee1394, sd_mod,
scsi_mod
****From DMESG:
SCSI subsystem driver Revision: 1.00
scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 6.2.8
        <Adaptec aic7899 Ultra160 SCSI adapter>
        aic7899: Ultra160 Wide Channel A, SCSI Id=7, 32/253 SCBs

scsi1 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 6.2.8
        <Adaptec aic7899 Ultra160 SCSI adapter>
        aic7899: Ultra160 Wide Channel B, SCSI Id=7, 32/253 SCBs
#<Note I have SCSI on the motherboard and 2 U160 SCSI drives for / >
EXT3 FS 2.4-0.9.19, 19 August 2002 on sd(8,2), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
ohci1394: $Rev: 693 $ Ben Collins <bcollins@debian.org>
ohci1394_0: OHCI-1394 1.0 (PCI): IRQ=[9]  MMIO=[ea808000-ea8087ff]  Max
Packet=[2048]
ieee1394: SelfID completion called outside of bus reset!
ieee1394: Host added: Node[00:1023]  GUID[0020fc0001011b7f]  [Linux
OHCI-1394]
ohci1394_0: SelfID received, but NodeID invalid (probably new bus reset
occured): 0000FFC0
ohci1394_0: Unhandled interrupt(s) 0x00010000
ieee1394: SelfID completion called outside of bus reset!
ieee1394: Node 01:1023 has non-standard ROM format (0 quads), cannot parse
ieee1394: Node 01:1023 has non-standard ROM format (0 quads), cannot parse
ieee1394: SelfID completion called outside of bus reset!
ieee1394: Device added: Node[00:1023]  GUID[0010b92000b73e47]  [Maxtor]
ieee1394: Node 00:1023 changed to 01:1023
ieee1394: sbp2: Logged into SBP-2 device
ieee1394: sbp2: Node[00:1023]: Max speed [S400] - Max payload [2048]
scsi3 : IEEE-1394 SBP-2 protocol driver (host: ohci1394)
$Rev: 707 $ James Goodwin <jamesg@filanet.com>
SBP-2 module load options:
- Max speed supported: S400
- Max sectors per I/O supported: 255
- Max outstanding commands supported: 64
- Max outstanding commands per lun supported: 1
- Serialized I/O (debug): no
- Exclusive login: yes
  Vendor: Maxtor    Model: 5000XT            Rev: 0100
  Type:   Direct-Access                      ANSI SCSI revision: 06
Attached scsi disk sde at scsi3, channel 0, id 0, lun 0

lspci shows:
2:08.0 FireWire (IEEE 1394): Texas Instruments TSB12LV26 IEEE-1394
Controller (Link) (prog-if 10 [OHCI])
        Subsystem: Matrox Graphics, Inc.: Unknown device 9030
        Flags: bus master, medium devsel, latency 64, IRQ 9
        Memory at ea808000 (32-bit, non-prefetchable) [size=2K]
        Memory at ea804000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [44] Power Management version 1
______________________________________________
#cat /proc/bus/ieee1394/devices
Node[01:1023]  GUID[0020fc0001011b7f]:
  Vendor ID: `Linux OHCI-1394' [0x000000]
  Capabilities: 0x0083c0
  Bus Options:
    IRMC(1) CMC(1) ISC(1) BMC(0) PMC(0) GEN(0)
    LSPD(2) MAX_REC(2048) CYC_CLK_ACC(0)
  Host Node Status:
    Host Driver     : ohci1394
    Nodes connected : 2
    Nodes active    : 2
    SelfIDs received: 2
    Irm ID          : [01:1023]
    BusMgr ID       : [01:1023]
    In Bus Reset    : no
    Root            : yes
    Cycle Master    : yes
    IRM             : yes
    Bus Manager     : yes
Node[00:1023]  GUID[0010b92000b73e47]:
  Vendor ID: `Maxtor' [0x0010b9]
  Capabilities: 0x0083c0
  Bus Options:
    IRMC(0) CMC(0) ISC(0) BMC(0) PMC(0) GEN(2)
    LSPD(2) MAX_REC(64) CYC_CLK_ACC(255)
  Unit Directory 0:
    Vendor/Model ID: Maxtor [0010b9] / 1394 Storage Front Panel* [005000]
    Software Specifier ID: 0010b9
    Software Version: ceb001
    Length (in quads): 5
  Unit Directory 1:
    Vendor/Model ID: Maxtor [0010b9] / 5000XT  v1.00.00 [005000]
    Software Specifier ID: 00609e
    Software Version: 010483
    Driver: SBP2 Driver
    Length (in quads): 11

#In modules.conf I have alias ieee1394-controller ohci1394

Thanks for any help!
Comment 9 Darren Brierton 2003-09-07 16:24:55 EDT
I spent quite a while yesterday trying to see if a Rawhide kernel fixed any of
these problems, but to no avail. These are the URLs to the shrike list archive
where I discussed my (lack of) progress with this:

https://www.redhat.com/archives/shrike-list/2003-September/msg00223.html

https://www.redhat.com/archives/shrike-list/2003-September/msg00226.html

As this doesn't seem to be getting much attention from Red Hat (this bug is
still unassigned as NEW) I wonder if one of us should open a bug report at the
Linux kernel's bugzilla. I just went to http://bugzilla.kernel.org but it says
there that only 2.5 bugs should be reported, so I'm not sure what to do. It
would be great to open a bug report where Ben Collins would actually see it -
the report itself could just be a URL to this bug report. Suggestions anyone?
Comment 10 Didier 2003-09-09 05:15:11 EDT
I'll try to have a go at this when the second Severn beta is released, probably
together with a 2.6.0-test5 rpm (as the 2.4.22 rawhide kernels do not seem to
solve this IEEE1394 issue).
Comment 11 stuart boreen 2003-09-20 14:26:03 EDT
This fixed my 1394 lockup issues:
I added this line to modules.conf:
options sbp2_serialize_io=1, sbp2_max_sectors=63,sbp2_max_speed=1
I found it on a link from linux1394.org and I have been up for days with an
external Maxtor firewire drive reading and writing to a vfat and an ext3
partition with no kernal lockups like I had before. The drive can go to 40MB/sec
so the max speed of 200Mb/sec might be a bottleneck. I have not tried to break
out the 3 components on my option line. It is possible it would work with
max_speed=2
 
Comment 12 Didier 2003-09-22 03:15:04 EDT
Comment #11 : does this work with a post 2.4.20-13.9 (e.g. RHN or RawHide) kernel ?
Comment 13 stuart boreen 2003-09-22 06:08:15 EDT
It works for me with 2.4.20-20.9smp for athlon from RHN.
Comment 14 Didier 2003-09-24 04:16:16 EDT
Comment #11: works for me, kernel 2.4.20-20.9, i686.

I did not benchmark any heavy I/O yet, so I'll still have to check for bus
resets (as described in bug #97001) or oopses (bug #92193).

Comment 15 Brian "netdragon" Bober 2004-03-28 23:05:27 EST
I can't mount or detect an IEEE 1394 hard drive using a pyro enclosure
with 2.4.20-30.9smp

I tried rescan-scsi-bus.sh and my /proc/bus/ieee1394/devices file:
Node[00:1023]  GUID[00e0003c00000000]:
  Vendor ID: `Linux OHCI-1394' [0x000000]
  Capabilities: 0x0083c0
  Bus Options:
    IRMC(1) CMC(1) ISC(1) BMC(0) PMC(0) GEN(0)
    LSPD(2) MAX_REC(512) CYC_CLK_ACC(0)
  Host Node Status:
    Host Driver     : ohci1394
    Nodes connected : 2
    Nodes active    : 2
    SelfIDs received: 2
    Irm ID          : [00:1023]
    BusMgr ID       : [00:1023]
    In Bus Reset    : no
    Root            : no
    Cycle Master    : no
    IRM             : yes
    Bus Manager     : yes

/var/log/messages:
Mar 28 23:07:17 netdragon1 kernel: ieee1394: SelfID completion called
outside of bus reset!
Mar 28 23:07:18 netdragon1 kernel: ieee1394: ConfigROM quadlet
transaction error for node 01:1023
Mar 28 23:07:20 netdragon1 kernel: ieee1394: ConfigROM quadlet
transaction error for node 01:1023
Mar 28 23:07:20 netdragon1 kernel: ieee1394: SelfID completion called
outside of bus reset!
Mar 28 23:07:21 netdragon1 kernel: ieee1394: ConfigROM quadlet
transaction error for node 01:1023
Mar 28 23:07:22 netdragon1 kernel: ieee1394: ConfigROM quadlet
transaction error for node 01:1023
Mar 28 23:07:32 netdragon1 kernel: ieee1394: SelfID completion called
outside of bus reset!
Mar 28 23:07:53 netdragon1 kernel: ieee1394: sbp2: Error logging into
SBP-2 device - login timed-out
Mar 28 23:07:53 netdragon1 kernel: ieee1394: sbp2: sbp2_login_device
failed
Mar 28 23:07:53 netdragon1 /etc/hotplug/ieee1394.agent: Setup sbp2 for
IEEE1394
product 0x0050c5/0x00609e/0x010483

(/mnt)> mount -t ntfs /dev/sda1 external
mount: /dev/sda1 is not a valid block device

Is there a way to show what /dev/ file the firewire drive is mapped to?
Comment 16 Brian "netdragon" Bober 2004-03-28 23:12:06 EST
Notice that mounting the USB2 camera worked on the same Duoconnect card.

(/mnt)> mount -t auto /dev/sda1 camera
(/mnt)>

(/mnt)> sfdisk -l
 
Disk /dev/sda: 991 cylinders, 4 heads, 16 sectors/track
Units = cylinders of 32768 bytes, blocks of 1024 bytes, counting from 0
 
   Device Boot Start     End   #cyls    #blocks   Id  System
/dev/sda1   *      0+    989     990-     31670+   1  FAT12 <-- Camera
(note mine)
/dev/sda2          0       -       0          0    0  Empty
/dev/sda3          0       -       0          0    0  Empty
/dev/sda4          0       -       0          0    0  Empty
Comment 17 Hartmut Peters 2004-04-17 11:18:05 EDT
Connecting a firewire (pioneer) dvd burner works with RH 9 kernel
2.4.20-8 but not under a fully patched 2.4.20-30.9. I get the same
error as Darren (comment # 1).

If I put the line from comment # 11:
options sbp2_serialize_io=1, sbp2_max_sectors=63,sbp2_max_speed=1

into module.conf, it doesn;t do any good under 2.4.20-30.9 and causes
an error message under 2.4.20-8.

Comment 18 Hartmut Peters 2004-04-24 10:29:32 EDT
The solution to the "cannot reconnect" problem can be found from stuff
on linux1394.org.

modprobe sbp2 sbp2_force_inquiry_hack=1
rescan-scsi-bus.sh

The shell script rescan-scsi-bus.sh is from linux1394.org. It needs a
modification to allow it to overwrite files in line 51. I put the
above 2 lines into /etc/rc.local because I don't know how to supply
the "hack" argument to sbp2 during regular boot-up. For the above, the
sheel script has to be executable and reside somewher in root's path.

Hartmut
Comment 19 Bugzilla owner 2004-09-30 11:41:02 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.